Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Atk::Registry Class Reference

An AtkRegistry C++ wrapper class. More...

`#include <inti/atk/registry.h>`

Inheritance diagram for Inti::Atk::Registry:

List of all members.

## Public Member Functions

Constructors

- virtual ~Registry ()
    Destructor.

Accessors

- AtkRegistry * atk_registry () const
    Get a pointer to the AtkRegistry structure.
- AtkRegistryClass * atk_registry_class () const
    Get a pointer to the AtkRegistryClass structure.
- operator AtkRegistry * () const
    Conversion operator; safely converts a Registry to an AtkRegistry pointer.
- GType get_factory_type (GType type) const
    Provides a GType indicating the ObjectFactory subclass associated with type.
- ObjectFactory * get_factory (GType type) const
    Gets an ObjectFactory appropriate for creating Atk::Objects appropriate for type.

Methods

- void set_factory_type (GType type, GType factory_type)
    Associate an ObjectFactory subclass with a GType.

## Static Public Member Functions

- Registry * get_default ()
    Gets a default implementation of the ObjectFactory/type registry.

## Protected Member Functions

Constructors

- Registry (AtkRegistry *registry, bool reference=true)
    Construct a new Registry from an existing AtkRegistry.

## Detailed Description

An AtkRegistry C++ wrapper class.

Registry is an object that is used to store the GType of the factories used to create an accessible object for an object of a particular GType.

## Constructor & Destructor Documentation

Inti::Atk::Registry::Registry | ( | AtkRegistry * | registry,
|  | bool | reference = true
| ) | `[explicit, protected]`

  | Construct a new Registry from an existing AtkRegistry. Parameters:
  registry | A pointer to a AtkRegistry.
  reference | Set false if the initial reference count is floating, set true if it's not.
The registry can be a newly created AtkRegistry or an existing AtkRegistry. (see G::Object::Object).

## Member Function Documentation

Registry* Inti::Atk::Registry::get_default | ( |  | ) | `[static]`

| Gets a default implementation of the ObjectFactory/type registry. Returns: A default implementation of the ObjectFactory/type registry. Note: For most toolkit maintainers, this will be the correct registry for registering new AtkObject factories. Following a call to this function, maintainers may call set_factory_type() to associate an ObjectFactory subclass with the GType of objects for whom accessibility information will be provided.

ObjectFactory* Inti::Atk::Registry::get_factory | ( | GType | type | ) | const

  | Gets an ObjectFactory appropriate for creating Atk::Objects appropriate for type. Parameters:
  type | A GType with which to look up the associated ObjectFactory.
Returns: An ObjectFactory appropriate for creating Atk::Objects appropriate for type.

GType Inti::Atk::Registry::get_factory_type | ( | GType | type | ) | const

  | Provides a GType indicating the ObjectFactory subclass associated with type. Parameters:
  type | A GType with which to look up the associated ObjectFactory subclass.
Returns: A GType associated with type type.

void Inti::Atk::Registry::set_factory_type | ( | GType | type,
|  | GType | factory_type
| ) |

  | Associate an ObjectFactory subclass with a GType. Parameters:
  type | The Atk::Object type.
  factory_type | An ObjectFactory type to associate with type (must implement an Atk::Object appropriate for type).
Note: The associated factory_type will thereafter be responsible for the creation of new Atk::Object implementations for instances appropriate for type.

The documentation for this class was generated from the following file:

- registry.h

Main Page - Footer